LibOFX: OfxSecurityContainer Class Reference

LibOFX

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
OfxSecurityContainer Class Reference

Represents a security, such as a stock or bond. More...

Inheritance diagram for OfxSecurityContainer:

## Public Member Functions
| OfxSecurityContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object. More...
virtual int | gen_event ()
| Generate libofx.h events. More...
virtual int | add_to_main_tree ()
| Add this container to the main tree. More...
| OfxSecurityContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object. More...
virtual int | gen_event ()
| Generate libofx.h events. More...
virtual int | add_to_main_tree ()
| Add this container to the main tree. More...
Public Member Functions inherited from OfxGenericContainer
| OfxGenericContainer (LibofxContext *p_libofx_context)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
OfxGenericContainer * | getparent ()
| Returns the parent container object (the one representing the containing OFX SGML element)
| OfxGenericContainer (LibofxContext *p_libofx_context)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
OfxGenericContainer * | getparent ()
| Returns the parent container object (the one representing the containing OFX SGML element)

## Data Fields
OfxSecurityData | data
Data Fields inherited from OfxGenericContainer
string | type
string | tag_identifier
OfxGenericContainer * | parentcontainer
LibofxContext * | libofx_context

## Detailed Description

Represents a security, such as a stock or bond.

Definition at line 181 of file ofx_containers.hh.

## Member Function Documentation

void OfxSecurityContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  |
| virtual

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

Definition at line 45 of file ofx_container_security.cpp.

void OfxSecurityContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  |
| virtual

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

virtual int OfxSecurityContainer::add_to_main_tree | ( |  | ) |
| virtual

Add this container to the main tree.

add_to_main_treegen_event will add the container to the main trees stored int the OfxMainContainer.

Returns
  true if successfull, false otherwise.

Reimplemented from OfxGenericContainer.

int OfxSecurityContainer::add_to_main_tree | ( |  | ) |
| virtual

Add this container to the main tree.

add_to_main_treegen_event will add the container to the main trees stored int the OfxMainContainer.

Returns
  true if successfull, false otherwise.

Reimplemented from OfxGenericContainer.

Definition at line 104 of file ofx_container_security.cpp.

int OfxSecurityContainer::gen_event | ( |  | ) |
| virtual

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns
  true if a callback function vas called, false otherwise.

Reimplemented from OfxGenericContainer.

Definition at line 98 of file ofx_container_security.cpp.

virtual int OfxSecurityContainer::gen_event | ( |  | ) |
| virtual

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns
  true if a callback function vas called, false otherwise.

Reimplemented from OfxGenericContainer.

The documentation for this class was generated from the following files:

- ofx_containers.hh
- ofx_container_security.cpp